#
# spec file for package opencl-headers
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           opencl-headers
Version:        2.2+git.20160614
Release:        2.5
Summary:        OpenCL (Open Computing Language) headers
License:        MIT
Group:          Development/Libraries/C and C++
Url:            http://www.khronos.org/registry/cl/
Source:         %{name}-%{version}.tar.xz
BuildRequires:  xz
Conflicts:      opencl-headers-1_2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
OpenCL is a royalty-free standard for cross-platform, parallel programming
of modern processors found in personal computers, servers and
handheld/embedded devices.

This package provides the official Khronos Group OpenCL headers needed to
compile programs that use OpenCL.

%prep
%setup -q

%build

%install
install -d -m 755 %{buildroot}%{_includedir}/CL
install -m644 *.h* %{buildroot}%{_includedir}/CL

%files
%defattr(-,root,root)
%dir %{_includedir}/CL
%{_includedir}/CL/*.h*

%changelog
* Thu Jun 30 2016 mpluskal@suse.com
- Update to version 2.2+git.20160614:
  * Append _khr suffix to cl_kernel_sub_group_info typedef in cl_ext.h
  * Mark clGetKernelSubGroupInfoKHR as deprecated
* Tue Apr 19 2016 mpluskal@suse.com
- Update to 2.1+git.20160105
- Use _service instead of get-tarball.sh
* Sat Nov 21 2015 mpluskal@suse.com
- Update to 2.1_20151117
  * No changelog available
- Tiny spec file cleanup
* Sat Jun 13 2015 dmitry_r@opensuse.org
- Update to version 2.0_20141118
  * No changelog available
* Sat Jun 13 2015 dmitry_r@opensuse.org
- Update to version 1.2_20150303
  * No changelog available
- Use full version number
* Wed May  1 2013 prusnak@opensuse.org
- created package (version 1.2-20130212)
